/********************************************************************** 
 * Copyright (c) 2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: IPutFileCommand.java,v 1.1 2005-09-21 20:51:29 sschneid Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/

package org.eclipse.hyades.internal.execution.core.file.dynamic;

/**
 * The put file command interface, a specialized file transfer command used for
 * transferring files from the client to the server, putting the files on the
 * server by copying them from the client
 * 
 * @author Scott E. Schneider
 */
public interface IPutFileCommand extends IFileTransferCommand {
}
