/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: Common_Behavior_FragmentsPackageImpl.java,v 1.11 2009-05-13 13:20:12 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.fragments.impl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.EcorePackage;
import org.eclipse.emf.ecore.impl.EPackageImpl;
import org.eclipse.hyades.models.common.common.CommonPackage;
import org.eclipse.hyades.models.common.common.impl.CommonPackageImpl;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage;
import org.eclipse.hyades.models.common.configuration.impl.Common_ConfigurationPackageImpl;
import org.eclipse.hyades.models.common.datapool.Common_DatapoolPackage;
import org.eclipse.hyades.models.common.datapool.impl.Common_DatapoolPackageImpl;
import org.eclipse.hyades.models.common.fragments.BVRCombinedFragment;
import org.eclipse.hyades.models.common.fragments.BVRGate;
import org.eclipse.hyades.models.common.fragments.BVRInteraction;
import org.eclipse.hyades.models.common.fragments.BVRInteractionConstraint;
import org.eclipse.hyades.models.common.fragments.BVRInteractionOccurrence;
import org.eclipse.hyades.models.common.fragments.BVRInteractionOperand;
import org.eclipse.hyades.models.common.fragments.BVRInteractionOperator;
import org.eclipse.hyades.models.common.fragments.BVRPartDecomposition;
import org.eclipse.hyades.models.common.fragments.Common_Behavior_FragmentsFactory;
import org.eclipse.hyades.models.common.fragments.Common_Behavior_FragmentsPackage;
import org.eclipse.hyades.models.common.interactions.Common_Behavior_InteractionsPackage;
import org.eclipse.hyades.models.common.interactions.impl.Common_Behavior_InteractionsPackageImpl;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage;
import org.eclipse.hyades.models.common.testprofile.impl.Common_TestprofilePackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class Common_Behavior_FragmentsPackageImpl extends EPackageImpl implements Common_Behavior_FragmentsPackage
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrInteractionOccurrenceEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrPartDecompositionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrInteractionOperandEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrInteractionConstraintEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrGateEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrCombinedFragmentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass bvrInteractionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum bvrInteractionOperatorEEnum = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.eclipse.hyades.models.common.fragments.Common_Behavior_FragmentsPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private Common_Behavior_FragmentsPackageImpl() {
		super(eNS_URI, Common_Behavior_FragmentsFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link Common_Behavior_FragmentsPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static Common_Behavior_FragmentsPackage init() {
		if (isInited) return (Common_Behavior_FragmentsPackage)EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_FragmentsPackage.eNS_URI);

		// Obtain or create and register package
		Common_Behavior_FragmentsPackageImpl theCommon_Behavior_FragmentsPackage = (Common_Behavior_FragmentsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof Common_Behavior_FragmentsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new Common_Behavior_FragmentsPackageImpl());

		isInited = true;

		// Initialize simple dependencies
		EcorePackage.eINSTANCE.eClass();

		// Obtain or create and register interdependencies
		CommonPackageImpl theCommonPackage = (CommonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CommonPackage.eNS_URI) instanceof CommonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CommonPackage.eNS_URI) : CommonPackage.eINSTANCE);
		Common_Behavior_InteractionsPackageImpl theCommon_Behavior_InteractionsPackage = (Common_Behavior_InteractionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_InteractionsPackage.eNS_URI) instanceof Common_Behavior_InteractionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_InteractionsPackage.eNS_URI) : Common_Behavior_InteractionsPackage.eINSTANCE);
		Common_TestprofilePackageImpl theCommon_TestprofilePackage = (Common_TestprofilePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_TestprofilePackage.eNS_URI) instanceof Common_TestprofilePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_TestprofilePackage.eNS_URI) : Common_TestprofilePackage.eINSTANCE);
		Common_ConfigurationPackageImpl theCommon_ConfigurationPackage = (Common_ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_ConfigurationPackage.eNS_URI) instanceof Common_ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_ConfigurationPackage.eNS_URI) : Common_ConfigurationPackage.eINSTANCE);
		Common_DatapoolPackageImpl theCommon_DatapoolPackage = (Common_DatapoolPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_DatapoolPackage.eNS_URI) instanceof Common_DatapoolPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_DatapoolPackage.eNS_URI) : Common_DatapoolPackage.eINSTANCE);

		// Create package meta-data objects
		theCommon_Behavior_FragmentsPackage.createPackageContents();
		theCommonPackage.createPackageContents();
		theCommon_Behavior_InteractionsPackage.createPackageContents();
		theCommon_TestprofilePackage.createPackageContents();
		theCommon_ConfigurationPackage.createPackageContents();
		theCommon_DatapoolPackage.createPackageContents();

		// Initialize created meta-data
		theCommon_Behavior_FragmentsPackage.initializePackageContents();
		theCommonPackage.initializePackageContents();
		theCommon_Behavior_InteractionsPackage.initializePackageContents();
		theCommon_TestprofilePackage.initializePackageContents();
		theCommon_ConfigurationPackage.initializePackageContents();
		theCommon_DatapoolPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theCommon_Behavior_FragmentsPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(Common_Behavior_FragmentsPackage.eNS_URI, theCommon_Behavior_FragmentsPackage);
		return theCommon_Behavior_FragmentsPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRInteractionOccurrence() {
		return bvrInteractionOccurrenceEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteractionOccurrence_ActualGates() {
		return (EReference)bvrInteractionOccurrenceEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteractionOccurrence_ReferredBehavior() {
		return (EReference)bvrInteractionOccurrenceEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRPartDecomposition() {
		return bvrPartDecompositionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRInteractionOperand() {
		return bvrInteractionOperandEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteractionOperand_InteractionFragments() {
		return (EReference)bvrInteractionOperandEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteractionOperand_InteractionConstraint() {
		return (EReference)bvrInteractionOperandEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteractionOperand_CombinedFragment() {
		return (EReference)bvrInteractionOperandEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRInteractionConstraint() {
		return bvrInteractionConstraintEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getBVRInteractionConstraint_Description() {
		return (EAttribute)bvrInteractionConstraintEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getBVRInteractionConstraint_Constraint() {
		return (EAttribute)bvrInteractionConstraintEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRGate() {
		return bvrGateEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRCombinedFragment() {
		return bvrCombinedFragmentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getBVRCombinedFragment_InteractionOperator() {
		return (EAttribute)bvrCombinedFragmentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRCombinedFragment_Gates() {
		return (EReference)bvrCombinedFragmentEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRCombinedFragment_InteractionOperands() {
		return (EReference)bvrCombinedFragmentEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBVRInteraction() {
		return bvrInteractionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteraction_Lifelines() {
		return (EReference)bvrInteractionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteraction_InteractionFragments() {
		return (EReference)bvrInteractionEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteraction_FormalGates() {
		return (EReference)bvrInteractionEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getBVRInteraction_Behavior() {
		return (EReference)bvrInteractionEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getBVRInteractionOperator() {
		return bvrInteractionOperatorEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Common_Behavior_FragmentsFactory getCommon_Behavior_FragmentsFactory() {
		return (Common_Behavior_FragmentsFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		bvrInteractionOccurrenceEClass = createEClass(BVR_INTERACTION_OCCURRENCE);
		createEReference(bvrInteractionOccurrenceEClass, BVR_INTERACTION_OCCURRENCE__ACTUAL_GATES);
		createEReference(bvrInteractionOccurrenceEClass, BVR_INTERACTION_OCCURRENCE__REFERRED_BEHAVIOR);

		bvrPartDecompositionEClass = createEClass(BVR_PART_DECOMPOSITION);

		bvrInteractionOperandEClass = createEClass(BVR_INTERACTION_OPERAND);
		createEReference(bvrInteractionOperandEClass, BVR_INTERACTION_OPERAND__INTERACTION_FRAGMENTS);
		createEReference(bvrInteractionOperandEClass, BVR_INTERACTION_OPERAND__INTERACTION_CONSTRAINT);
		createEReference(bvrInteractionOperandEClass, BVR_INTERACTION_OPERAND__COMBINED_FRAGMENT);

		bvrInteractionConstraintEClass = createEClass(BVR_INTERACTION_CONSTRAINT);
		createEAttribute(bvrInteractionConstraintEClass, BVR_INTERACTION_CONSTRAINT__DESCRIPTION);
		createEAttribute(bvrInteractionConstraintEClass, BVR_INTERACTION_CONSTRAINT__CONSTRAINT);

		bvrGateEClass = createEClass(BVR_GATE);

		bvrCombinedFragmentEClass = createEClass(BVR_COMBINED_FRAGMENT);
		createEAttribute(bvrCombinedFragmentEClass, BVR_COMBINED_FRAGMENT__INTERACTION_OPERATOR);
		createEReference(bvrCombinedFragmentEClass, BVR_COMBINED_FRAGMENT__GATES);
		createEReference(bvrCombinedFragmentEClass, BVR_COMBINED_FRAGMENT__INTERACTION_OPERANDS);

		bvrInteractionEClass = createEClass(BVR_INTERACTION);
		createEReference(bvrInteractionEClass, BVR_INTERACTION__LIFELINES);
		createEReference(bvrInteractionEClass, BVR_INTERACTION__INTERACTION_FRAGMENTS);
		createEReference(bvrInteractionEClass, BVR_INTERACTION__FORMAL_GATES);
		createEReference(bvrInteractionEClass, BVR_INTERACTION__BEHAVIOR);

		// Create enums
		bvrInteractionOperatorEEnum = createEEnum(BVR_INTERACTION_OPERATOR);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		Common_Behavior_InteractionsPackage theCommon_Behavior_InteractionsPackage = (Common_Behavior_InteractionsPackage)EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_InteractionsPackage.eNS_URI);
		Common_TestprofilePackage theCommon_TestprofilePackage = (Common_TestprofilePackage)EPackage.Registry.INSTANCE.getEPackage(Common_TestprofilePackage.eNS_URI);

		// Create type parameters

		// Set bounds for type parameters

		// Add supertypes to classes
		bvrInteractionOccurrenceEClass.getESuperTypes().add(theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment());
		bvrPartDecompositionEClass.getESuperTypes().add(this.getBVRInteractionOccurrence());
		bvrInteractionOperandEClass.getESuperTypes().add(theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment());
		bvrGateEClass.getESuperTypes().add(theCommon_Behavior_InteractionsPackage.getBVRMessageEnd());
		bvrCombinedFragmentEClass.getESuperTypes().add(theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment());

		// Initialize classes and features; add operations and parameters
		initEClass(bvrInteractionOccurrenceEClass, BVRInteractionOccurrence.class, "BVRInteractionOccurrence", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getBVRInteractionOccurrence_ActualGates(), this.getBVRGate(), null, "actualGates", null, 0, -1, BVRInteractionOccurrence.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRInteractionOccurrence_ReferredBehavior(), this.getBVRInteraction(), null, "referredBehavior", null, 1, 1, BVRInteractionOccurrence.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(bvrPartDecompositionEClass, BVRPartDecomposition.class, "BVRPartDecomposition", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(bvrInteractionOperandEClass, BVRInteractionOperand.class, "BVRInteractionOperand", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getBVRInteractionOperand_InteractionFragments(), theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment(), null, "interactionFragments", null, 1, -1, BVRInteractionOperand.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRInteractionOperand_InteractionConstraint(), this.getBVRInteractionConstraint(), null, "interactionConstraint", null, 0, 1, BVRInteractionOperand.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRInteractionOperand_CombinedFragment(), this.getBVRCombinedFragment(), this.getBVRCombinedFragment_InteractionOperands(), "combinedFragment", null, 0, 1, BVRInteractionOperand.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(bvrInteractionConstraintEClass, BVRInteractionConstraint.class, "BVRInteractionConstraint", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getBVRInteractionConstraint_Description(), ecorePackage.getEString(), "description", null, 0, 1, BVRInteractionConstraint.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getBVRInteractionConstraint_Constraint(), ecorePackage.getEString(), "constraint", null, 0, 1, BVRInteractionConstraint.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(bvrGateEClass, BVRGate.class, "BVRGate", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(bvrCombinedFragmentEClass, BVRCombinedFragment.class, "BVRCombinedFragment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getBVRCombinedFragment_InteractionOperator(), this.getBVRInteractionOperator(), "interactionOperator", null, 0, 1, BVRCombinedFragment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRCombinedFragment_Gates(), this.getBVRGate(), null, "gates", null, 0, -1, BVRCombinedFragment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRCombinedFragment_InteractionOperands(), this.getBVRInteractionOperand(), this.getBVRInteractionOperand_CombinedFragment(), "interactionOperands", null, 1, -1, BVRCombinedFragment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(bvrInteractionEClass, BVRInteraction.class, "BVRInteraction", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getBVRInteraction_Lifelines(), theCommon_Behavior_InteractionsPackage.getBVRLifeline(), theCommon_Behavior_InteractionsPackage.getBVRLifeline_Interaction(), "lifelines", null, 0, -1, BVRInteraction.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRInteraction_InteractionFragments(), theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment(), theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment_Interaction(), "interactionFragments", null, 0, -1, BVRInteraction.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRInteraction_FormalGates(), this.getBVRGate(), null, "formalGates", null, 0, -1, BVRInteraction.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getBVRInteraction_Behavior(), theCommon_TestprofilePackage.getTPFBehavior(), theCommon_TestprofilePackage.getTPFBehavior_Interaction(), "behavior", null, 1, 1, BVRInteraction.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		// Initialize enums and add enum literals
		initEEnum(bvrInteractionOperatorEEnum, BVRInteractionOperator.class, "BVRInteractionOperator");
		addEEnumLiteral(bvrInteractionOperatorEEnum, BVRInteractionOperator.ALT_LITERAL);
		addEEnumLiteral(bvrInteractionOperatorEEnum, BVRInteractionOperator.OPT_LITERAL);
		addEEnumLiteral(bvrInteractionOperatorEEnum, BVRInteractionOperator.PAR_LITERAL);
		addEEnumLiteral(bvrInteractionOperatorEEnum, BVRInteractionOperator.LOOP_LITERAL);
		addEEnumLiteral(bvrInteractionOperatorEEnum, BVRInteractionOperator.NEG_LITERAL);
	}

} //Common_Behavior_FragmentsPackageImpl
