/**********************************************************************
 * Copyright (c) 2003, 2012 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 * $Id: ObjectToIntMap.java,v 1.1 2007-11-27 04:28:31 apnan Exp $
 *
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util;

import java.util.Map;

@SuppressWarnings("rawtypes")
public interface ObjectToIntMap extends Map {
	int MISSING_VALUE = -1;

	Object MISSING_KEY = null;
	int compact();
	int removeInt(Object key);

	int put(Object key, int value);
	
	int getInt(Object key);
	boolean containsKey(Object key);
	
	int[] getValues();
	Object[] getKeys();
}
