/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IEditorIdFactory.java,v 1.1 2005-05-25 17:53:25 jnevicos Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.navigator;

import org.eclipse.core.resources.IFile;

/** Factory interface to obtain editor ids from extensions.
 *  Implementation of this interface should be used in the following extension point: 
 *  @author george.sebastian@ca.com
 *  // added for for bugzilla #95329 - george.sebastian@ca.com
 * @since 3.2
 */
public interface IEditorIdFactory {
	public String getEditorId(IFile file);
	
}
