/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: FilterListLabelProvider.java,v 1.2 2005-02-25 22:17:19 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.trace.ui.internal.util;

import org.eclipse.swt.graphics.*;
import org.eclipse.jface.viewers.*;

public class FilterListLabelProvider extends LabelProvider
					implements ITableLabelProvider
{

/**
 * TraceListLabelProvider constructor comment.
 */
public FilterListLabelProvider() {
	super();
}
		public Image getColumnImage(Object element, int columnIndex)
		{
			return null;
		}
		public Image getColumnImage(Viewer viewer, Object element, int columnIndex)
		{
			return null;
		}
		public String getColumnText(Object element, int columnIndex)
		{
			if(columnIndex == 0)
			  return ((FilterTableElement)element).getText();
			if(columnIndex == 1)
			  return ((FilterTableElement)element).getMethod();
			if(columnIndex == 2)
			  return ((FilterTableElement)element).getVisibility();
						
			return  "";
		}
		public String getColumnText(Viewer viewer, Object element, int columnIndex)
		{
			if(columnIndex == 0)
			  return ((FilterTableElement)element).getText();
			if(columnIndex == 1)
			  return ((FilterTableElement)element).getMethod();
			if(columnIndex == 2)
			  return ((FilterTableElement)element).getVisibility();
						
			return  "";
		}
}
