/********************************************************************** 
 * Copyright (c) 2006, 2007 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: CommonUITraceConstants.java,v 1.8 2007-11-27 04:47:02 apnan Exp $ 
 *
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.tptp.platform.common.ui.trace.internal;


public class CommonUITraceConstants extends CommonUIBaseTraceConstants
{
	/**
	 * The id of org.eclipse.hyades.trace.ui
	 */
	public final static String TRACE_UI_PLUGIN_ID = "org.eclipse.hyades.trace.ui";
	
	/**
	 * The name of the environment variable that stores the launch config id
	 */
	public static final String LAUNCH_CONFIGURATION_ID = CommonUITracePlugin.PLUGIN_ID + ".LAUNCH_CONFIGURATION_ID";
}
