/*******************************************************************************
 * Copyright (c) 2005, 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Initial re-implementation of Agent Controller
 *
 * $Id: ACFlags.h,v 1.7 2006-04-18 19:34:04 akaylor Exp $
 *******************************************************************************/ 

#ifndef __ACFLAGS_H__
#define __ACFLAGS_H__

#define TPTP_CONTROLLER_ACCESS    0x0001
#define TPTP_OBSERVER_ACCESS      0x0002
#define TPTP_CREATE_INSTANCE      0x0004
#define TPTP_RUNNING_AGENTS_ONLY  0x0008
#define TPTP_LOCK_AGENT           0x0010

/* Data path flags */
#define TPTP_DATA_PATH_SEND           0x00000001
#define TPTP_DATA_PATH_RECEIVE        0x00000002
#define TPTP_DATA_PATH_TWOWAY         (TPTP_DATA_PATH_SEND | TPTP_DATA_PATH_RECEIVE)
#define TPTP_DATA_PATH_DIRECT_SOCKET  0x00000004
#define TPTP_DATA_PATH_DIRECT_FILE    0x00000008
#define TPTP_DATA_PATH_MULTIPLEXED    0x00000010

#endif /* __ACFLAGS_H__ */

