package org.eclipse.hyades.logging.core;

/**********************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ICommonBaseEvent.java,v 1.2 2006-09-28 17:39:01 cjin Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

/**
 * This interface generalizes all implementation versions of the Common Base Event 
 * specification as described in "Canonical Situation Data Format: The Common Base Event 
 * V1.0.1".
 * <p>
 * All implementations of the Common Base Event specification should extend/implement this interface.
 * <p>
 * 
 * 
 * @author Paul E. Slauenwhite
 * @version 1.0.1
 * @since 1.0.1
 * @deprecated As of TPTP v4.0.0, use the <code>CommonBaseEvent</code> interface for the specific Common Base Event implementation. 
 */
public interface ICommonBaseEvent {
}
