/*******************************************************************************
 * Copyright (c) 2010 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * $Id: ACPathInfo.java,v 1.2 2010-04-05 13:20:19 jcayne Exp $
 *******************************************************************************/ 

package org.eclipse.tptp.platform.execution.client.core;

public class ACPathInfo {

	private String acPath;
	private String libPrefix;
	private String libSuffix;
	private String fileSeparator;
	
	public ACPathInfo( String acPath, String libPrefix, String libSuffix, String fileSeparator ) {
		this.acPath = acPath;
		this.libPrefix = libPrefix;
		this.libSuffix = libSuffix;
		this.fileSeparator = fileSeparator;
	}
	
	public String getAcPath() {
		return acPath;
	}

	public String getLibPrefix() {
		return libPrefix;
	}

	public String getLibSuffix() {
		return libSuffix;
	}

	public String getFileSeparator() {
		return fileSeparator;
	}
	
}
