/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: RepositoryRecord.java,v 1.2 2006-04-11 23:06:07 bjiang Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.common.event;

/**
 * <p>This is a flat class packaged in the execution environment and
 * it mirrors the {@link org.eclipse.hyades.models.common.testprofile.TPFRepositoryRecord TPFRepositoryRecord}.</p>
 * 
 * @author bjiang
 * @since 4.2
 * @provisional
 */
public class RepositoryRecord {
	private String id;
	private String URI;
	private String label;
	private String type;
	
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getLabel() {
		return label;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getURI() {
		return URI;
	}
	public void setURI(String uri) {
		URI = uri;
	}
	
	
}
