/**********************************************************************
Copyright (c) 2005 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: Plugin.java,v 1.2 2005-02-25 22:17:34 hleung Exp $

Contributors:
 IBM Rational - initial implementation
**********************************************************************/
package org.eclipse.tptp.platform.agentcontroller.config;

import org.w3c.dom.Element;

public class Plugin extends ConfigElement {
	public final static String TAG = ConfigUtility.getString("Config.Plugin.Tag");

	public static void setPath(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.Plugin.Path.Tag"), value);
	}

	public static String getPath(Element elem) {
		return elem.getAttribute(ConfigUtility.getString("Config.Plugin.Path.Tag"));
	}

}
