/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: AgentNotRegisteredException.java,v 1.4 2005-10-08 14:28:51 sschneid Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.internal.execution.remote;

/**
 * Insert the type's description here. Creation date: (11/30/00 1:41:56 AM)
 * 
 * @author:
 */
public class AgentNotRegisteredException extends Exception {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = -31955973658678205L;

	/**
	 * AgentControllerUnavailableException constructor comment.
	 */
	public AgentNotRegisteredException() {
		super();
	}

	/**
	 * AgentControllerUnavailableException constructor comment.
	 * 
	 * @param s
	 *            java.lang.String
	 */
	public AgentNotRegisteredException(String s) {
		super(s);
	}
}
