/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: HyadesDisplayColorDepthEnumeration.java,v 1.7 2009-05-05 15:46:20 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.configuration;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hyades Display Color Depth Enumeration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_1 <em>DCD 1</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_2 <em>DCD 2</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_3 <em>DCD 3</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_4 <em>DCD 4</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_5 <em>DCD 5</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_6 <em>DCD 6</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_7 <em>DCD 7</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_8 <em>DCD 8</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration()
 * @model
 * @generated
 */
public interface HyadesDisplayColorDepthEnumeration extends CFGPsudoEnumeration{
	/**
	 * Returns the value of the '<em><b>DCD 1</b></em>' attribute.
	 * The default value is <code>"1"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 1</em>' attribute.
	 * @see #setDCD_1(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_1()
	 * @model default="1"
	 * @generated
	 */
	String getDCD_1();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_1 <em>DCD 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 1</em>' attribute.
	 * @see #getDCD_1()
	 * @generated
	 */
	void setDCD_1(String value);

	/**
	 * Returns the value of the '<em><b>DCD 2</b></em>' attribute.
	 * The default value is <code>"4"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 2</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 2</em>' attribute.
	 * @see #setDCD_2(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_2()
	 * @model default="4"
	 * @generated
	 */
	String getDCD_2();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_2 <em>DCD 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 2</em>' attribute.
	 * @see #getDCD_2()
	 * @generated
	 */
	void setDCD_2(String value);

	/**
	 * Returns the value of the '<em><b>DCD 3</b></em>' attribute.
	 * The default value is <code>"8"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 3</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 3</em>' attribute.
	 * @see #setDCD_3(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_3()
	 * @model default="8"
	 * @generated
	 */
	String getDCD_3();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_3 <em>DCD 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 3</em>' attribute.
	 * @see #getDCD_3()
	 * @generated
	 */
	void setDCD_3(String value);

	/**
	 * Returns the value of the '<em><b>DCD 4</b></em>' attribute.
	 * The default value is <code>"16"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 4</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 4</em>' attribute.
	 * @see #setDCD_4(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_4()
	 * @model default="16"
	 * @generated
	 */
	String getDCD_4();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_4 <em>DCD 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 4</em>' attribute.
	 * @see #getDCD_4()
	 * @generated
	 */
	void setDCD_4(String value);

	/**
	 * Returns the value of the '<em><b>DCD 5</b></em>' attribute.
	 * The default value is <code>"24"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 5</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 5</em>' attribute.
	 * @see #setDCD_5(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_5()
	 * @model default="24"
	 * @generated
	 */
	String getDCD_5();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_5 <em>DCD 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 5</em>' attribute.
	 * @see #getDCD_5()
	 * @generated
	 */
	void setDCD_5(String value);

	/**
	 * Returns the value of the '<em><b>DCD 6</b></em>' attribute.
	 * The default value is <code>"32"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 6</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 6</em>' attribute.
	 * @see #setDCD_6(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_6()
	 * @model default="32"
	 * @generated
	 */
	String getDCD_6();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_6 <em>DCD 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 6</em>' attribute.
	 * @see #getDCD_6()
	 * @generated
	 */
	void setDCD_6(String value);

	/**
	 * Returns the value of the '<em><b>DCD 7</b></em>' attribute.
	 * The default value is <code>"64"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 7</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 7</em>' attribute.
	 * @see #setDCD_7(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_7()
	 * @model default="64"
	 * @generated
	 */
	String getDCD_7();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_7 <em>DCD 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 7</em>' attribute.
	 * @see #getDCD_7()
	 * @generated
	 */
	void setDCD_7(String value);

	/**
	 * Returns the value of the '<em><b>DCD 8</b></em>' attribute.
	 * The default value is <code>"128"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DCD 8</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DCD 8</em>' attribute.
	 * @see #setDCD_8(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesDisplayColorDepthEnumeration_DCD_8()
	 * @model default="128"
	 * @generated
	 */
	String getDCD_8();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesDisplayColorDepthEnumeration#getDCD_8 <em>DCD 8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DCD 8</em>' attribute.
	 * @see #getDCD_8()
	 * @generated
	 */
	void setDCD_8(String value);

} // HyadesDisplayColorDepthEnumeration
