/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: HyadesServicePackEnumerationImpl.java,v 1.10 2009-05-05 15:46:19 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.configuration.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationFactory;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage;
import org.eclipse.hyades.models.common.configuration.HyadesServicePackEnumeration;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Hyades Service Pack Enumeration</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_1 <em>SP 1</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_2 <em>SP 2</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_3 <em>SP 3</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_4 <em>SP 4</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_5 <em>SP 5</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_6 <em>SP 6</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_7 <em>SP 7</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_8 <em>SP 8</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_9 <em>SP 9</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_100 <em>SP 100</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_101 <em>SP 101</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_200 <em>SP 200</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_201 <em>SP 201</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_300 <em>SP 300</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_301 <em>SP 301</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_400 <em>SP 400</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_401 <em>SP 401</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_500 <em>SP 500</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_501 <em>SP 501</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_600 <em>SP 600</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_601 <em>SP 601</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_700 <em>SP 700</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_701 <em>SP 701</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_800 <em>SP 800</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_801 <em>SP 801</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_900 <em>SP 900</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesServicePackEnumerationImpl#getSP_901 <em>SP 901</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HyadesServicePackEnumerationImpl extends CFGPsudoEnumerationImpl implements HyadesServicePackEnumeration {
	/**
	 * The default value of the '{@link #getSP_1() <em>SP 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_1()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_1_EDEFAULT = "1";

	/**
	 * The cached value of the '{@link #getSP_1() <em>SP 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_1()
	 * @generated
	 * @ordered
	 */
	protected String sP_1 = SP_1_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_2() <em>SP 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_2()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_2_EDEFAULT = "2";

	/**
	 * The cached value of the '{@link #getSP_2() <em>SP 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_2()
	 * @generated
	 * @ordered
	 */
	protected String sP_2 = SP_2_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_3() <em>SP 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_3()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_3_EDEFAULT = "3";

	/**
	 * The cached value of the '{@link #getSP_3() <em>SP 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_3()
	 * @generated
	 * @ordered
	 */
	protected String sP_3 = SP_3_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_4() <em>SP 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_4()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_4_EDEFAULT = "4";

	/**
	 * The cached value of the '{@link #getSP_4() <em>SP 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_4()
	 * @generated
	 * @ordered
	 */
	protected String sP_4 = SP_4_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_5() <em>SP 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_5()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_5_EDEFAULT = "5";

	/**
	 * The cached value of the '{@link #getSP_5() <em>SP 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_5()
	 * @generated
	 * @ordered
	 */
	protected String sP_5 = SP_5_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_6() <em>SP 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_6()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_6_EDEFAULT = "6";

	/**
	 * The cached value of the '{@link #getSP_6() <em>SP 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_6()
	 * @generated
	 * @ordered
	 */
	protected String sP_6 = SP_6_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_7() <em>SP 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_7()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_7_EDEFAULT = "7";

	/**
	 * The cached value of the '{@link #getSP_7() <em>SP 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_7()
	 * @generated
	 * @ordered
	 */
	protected String sP_7 = SP_7_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_8() <em>SP 8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_8()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_8_EDEFAULT = "8";

	/**
	 * The cached value of the '{@link #getSP_8() <em>SP 8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_8()
	 * @generated
	 * @ordered
	 */
	protected String sP_8 = SP_8_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_9() <em>SP 9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_9()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_9_EDEFAULT = "9";

	/**
	 * The cached value of the '{@link #getSP_9() <em>SP 9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_9()
	 * @generated
	 * @ordered
	 */
	protected String sP_9 = SP_9_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_100() <em>SP 100</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_100()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_100_EDEFAULT = "1a";

	/**
	 * The cached value of the '{@link #getSP_100() <em>SP 100</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_100()
	 * @generated
	 * @ordered
	 */
	protected String sP_100 = SP_100_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_101() <em>SP 101</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_101()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_101_EDEFAULT = "1b";

	/**
	 * The cached value of the '{@link #getSP_101() <em>SP 101</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_101()
	 * @generated
	 * @ordered
	 */
	protected String sP_101 = SP_101_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_200() <em>SP 200</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_200()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_200_EDEFAULT = "2a";

	/**
	 * The cached value of the '{@link #getSP_200() <em>SP 200</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_200()
	 * @generated
	 * @ordered
	 */
	protected String sP_200 = SP_200_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_201() <em>SP 201</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_201()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_201_EDEFAULT = "2b";

	/**
	 * The cached value of the '{@link #getSP_201() <em>SP 201</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_201()
	 * @generated
	 * @ordered
	 */
	protected String sP_201 = SP_201_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_300() <em>SP 300</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_300()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_300_EDEFAULT = "3a";

	/**
	 * The cached value of the '{@link #getSP_300() <em>SP 300</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_300()
	 * @generated
	 * @ordered
	 */
	protected String sP_300 = SP_300_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_301() <em>SP 301</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_301()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_301_EDEFAULT = "3b";

	/**
	 * The cached value of the '{@link #getSP_301() <em>SP 301</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_301()
	 * @generated
	 * @ordered
	 */
	protected String sP_301 = SP_301_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_400() <em>SP 400</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_400()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_400_EDEFAULT = "4a";

	/**
	 * The cached value of the '{@link #getSP_400() <em>SP 400</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_400()
	 * @generated
	 * @ordered
	 */
	protected String sP_400 = SP_400_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_401() <em>SP 401</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_401()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_401_EDEFAULT = "4b";

	/**
	 * The cached value of the '{@link #getSP_401() <em>SP 401</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_401()
	 * @generated
	 * @ordered
	 */
	protected String sP_401 = SP_401_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_500() <em>SP 500</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_500()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_500_EDEFAULT = "5a";

	/**
	 * The cached value of the '{@link #getSP_500() <em>SP 500</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_500()
	 * @generated
	 * @ordered
	 */
	protected String sP_500 = SP_500_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_501() <em>SP 501</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_501()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_501_EDEFAULT = "5b";

	/**
	 * The cached value of the '{@link #getSP_501() <em>SP 501</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_501()
	 * @generated
	 * @ordered
	 */
	protected String sP_501 = SP_501_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_600() <em>SP 600</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_600()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_600_EDEFAULT = "6a";

	/**
	 * The cached value of the '{@link #getSP_600() <em>SP 600</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_600()
	 * @generated
	 * @ordered
	 */
	protected String sP_600 = SP_600_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_601() <em>SP 601</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_601()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_601_EDEFAULT = "6b";

	/**
	 * The cached value of the '{@link #getSP_601() <em>SP 601</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_601()
	 * @generated
	 * @ordered
	 */
	protected String sP_601 = SP_601_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_700() <em>SP 700</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_700()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_700_EDEFAULT = "7a";

	/**
	 * The cached value of the '{@link #getSP_700() <em>SP 700</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_700()
	 * @generated
	 * @ordered
	 */
	protected String sP_700 = SP_700_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_701() <em>SP 701</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_701()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_701_EDEFAULT = "7b";

	/**
	 * The cached value of the '{@link #getSP_701() <em>SP 701</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_701()
	 * @generated
	 * @ordered
	 */
	protected String sP_701 = SP_701_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_800() <em>SP 800</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_800()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_800_EDEFAULT = "8a";

	/**
	 * The cached value of the '{@link #getSP_800() <em>SP 800</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_800()
	 * @generated
	 * @ordered
	 */
	protected String sP_800 = SP_800_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_801() <em>SP 801</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_801()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_801_EDEFAULT = "8b";

	/**
	 * The cached value of the '{@link #getSP_801() <em>SP 801</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_801()
	 * @generated
	 * @ordered
	 */
	protected String sP_801 = SP_801_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_900() <em>SP 900</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_900()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_900_EDEFAULT = "9a";

	/**
	 * The cached value of the '{@link #getSP_900() <em>SP 900</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_900()
	 * @generated
	 * @ordered
	 */
	protected String sP_900 = SP_900_EDEFAULT;

	/**
	 * The default value of the '{@link #getSP_901() <em>SP 901</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_901()
	 * @generated
	 * @ordered
	 */
	protected static final String SP_901_EDEFAULT = "9b";

	/**
	 * The cached value of the '{@link #getSP_901() <em>SP 901</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSP_901()
	 * @generated
	 * @ordered
	 */
	protected String sP_901 = SP_901_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated NOT
	 */
	protected HyadesServicePackEnumerationImpl()
	{
		super();
		this.setCategory(Common_ConfigurationFactory.eINSTANCE.createHyadesServicePackCategory());	
		this.getValues().add(sP_1);
		this.getValues().add(sP_2);
		this.getValues().add(sP_3);
		this.getValues().add(sP_4);
		this.getValues().add(sP_5);
		this.getValues().add(sP_6);
		this.getValues().add(sP_7);
		this.getValues().add(sP_8);
		this.getValues().add(sP_9);
		this.getValues().add(sP_100);
		this.getValues().add(sP_101);
		this.getValues().add(sP_200);
		this.getValues().add(sP_201);
		this.getValues().add(sP_300);
		this.getValues().add(sP_301);
		this.getValues().add(sP_400);
		this.getValues().add(sP_401);
		this.getValues().add(sP_500);
		this.getValues().add(sP_501);
		this.getValues().add(sP_600);
		this.getValues().add(sP_601);
		this.getValues().add(sP_700);
		this.getValues().add(sP_701);
		this.getValues().add(sP_800);
		this.getValues().add(sP_801);
		this.getValues().add(sP_900);
		this.getValues().add(sP_901);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return Common_ConfigurationPackage.Literals.HYADES_SERVICE_PACK_ENUMERATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_1() {
		return sP_1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_1(String newSP_1) {
		String oldSP_1 = sP_1;
		sP_1 = newSP_1;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_1, oldSP_1, sP_1));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_2() {
		return sP_2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_2(String newSP_2) {
		String oldSP_2 = sP_2;
		sP_2 = newSP_2;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_2, oldSP_2, sP_2));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_3() {
		return sP_3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_3(String newSP_3) {
		String oldSP_3 = sP_3;
		sP_3 = newSP_3;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_3, oldSP_3, sP_3));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_4() {
		return sP_4;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_4(String newSP_4) {
		String oldSP_4 = sP_4;
		sP_4 = newSP_4;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_4, oldSP_4, sP_4));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_5() {
		return sP_5;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_5(String newSP_5) {
		String oldSP_5 = sP_5;
		sP_5 = newSP_5;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_5, oldSP_5, sP_5));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_6() {
		return sP_6;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_6(String newSP_6) {
		String oldSP_6 = sP_6;
		sP_6 = newSP_6;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_6, oldSP_6, sP_6));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_7() {
		return sP_7;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_7(String newSP_7) {
		String oldSP_7 = sP_7;
		sP_7 = newSP_7;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_7, oldSP_7, sP_7));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_8() {
		return sP_8;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_8(String newSP_8) {
		String oldSP_8 = sP_8;
		sP_8 = newSP_8;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_8, oldSP_8, sP_8));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_9() {
		return sP_9;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_9(String newSP_9) {
		String oldSP_9 = sP_9;
		sP_9 = newSP_9;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_9, oldSP_9, sP_9));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_100() {
		return sP_100;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_100(String newSP_100) {
		String oldSP_100 = sP_100;
		sP_100 = newSP_100;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_100, oldSP_100, sP_100));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_101() {
		return sP_101;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_101(String newSP_101) {
		String oldSP_101 = sP_101;
		sP_101 = newSP_101;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_101, oldSP_101, sP_101));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_200() {
		return sP_200;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_200(String newSP_200) {
		String oldSP_200 = sP_200;
		sP_200 = newSP_200;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_200, oldSP_200, sP_200));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_201() {
		return sP_201;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_201(String newSP_201) {
		String oldSP_201 = sP_201;
		sP_201 = newSP_201;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_201, oldSP_201, sP_201));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_300() {
		return sP_300;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_300(String newSP_300) {
		String oldSP_300 = sP_300;
		sP_300 = newSP_300;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_300, oldSP_300, sP_300));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_301() {
		return sP_301;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_301(String newSP_301) {
		String oldSP_301 = sP_301;
		sP_301 = newSP_301;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_301, oldSP_301, sP_301));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_400() {
		return sP_400;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_400(String newSP_400) {
		String oldSP_400 = sP_400;
		sP_400 = newSP_400;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_400, oldSP_400, sP_400));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_401() {
		return sP_401;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_401(String newSP_401) {
		String oldSP_401 = sP_401;
		sP_401 = newSP_401;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_401, oldSP_401, sP_401));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_500() {
		return sP_500;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_500(String newSP_500) {
		String oldSP_500 = sP_500;
		sP_500 = newSP_500;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_500, oldSP_500, sP_500));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_501() {
		return sP_501;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_501(String newSP_501) {
		String oldSP_501 = sP_501;
		sP_501 = newSP_501;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_501, oldSP_501, sP_501));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_600() {
		return sP_600;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_600(String newSP_600) {
		String oldSP_600 = sP_600;
		sP_600 = newSP_600;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_600, oldSP_600, sP_600));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_601() {
		return sP_601;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_601(String newSP_601) {
		String oldSP_601 = sP_601;
		sP_601 = newSP_601;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_601, oldSP_601, sP_601));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_700() {
		return sP_700;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_700(String newSP_700) {
		String oldSP_700 = sP_700;
		sP_700 = newSP_700;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_700, oldSP_700, sP_700));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_701() {
		return sP_701;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_701(String newSP_701) {
		String oldSP_701 = sP_701;
		sP_701 = newSP_701;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_701, oldSP_701, sP_701));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_800() {
		return sP_800;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_800(String newSP_800) {
		String oldSP_800 = sP_800;
		sP_800 = newSP_800;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_800, oldSP_800, sP_800));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_801() {
		return sP_801;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_801(String newSP_801) {
		String oldSP_801 = sP_801;
		sP_801 = newSP_801;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_801, oldSP_801, sP_801));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_900() {
		return sP_900;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_900(String newSP_900) {
		String oldSP_900 = sP_900;
		sP_900 = newSP_900;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_900, oldSP_900, sP_900));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSP_901() {
		return sP_901;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSP_901(String newSP_901) {
		String oldSP_901 = sP_901;
		sP_901 = newSP_901;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_901, oldSP_901, sP_901));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_1:
				return getSP_1();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_2:
				return getSP_2();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_3:
				return getSP_3();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_4:
				return getSP_4();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_5:
				return getSP_5();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_6:
				return getSP_6();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_7:
				return getSP_7();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_8:
				return getSP_8();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_9:
				return getSP_9();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_100:
				return getSP_100();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_101:
				return getSP_101();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_200:
				return getSP_200();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_201:
				return getSP_201();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_300:
				return getSP_300();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_301:
				return getSP_301();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_400:
				return getSP_400();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_401:
				return getSP_401();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_500:
				return getSP_500();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_501:
				return getSP_501();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_600:
				return getSP_600();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_601:
				return getSP_601();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_700:
				return getSP_700();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_701:
				return getSP_701();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_800:
				return getSP_800();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_801:
				return getSP_801();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_900:
				return getSP_900();
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_901:
				return getSP_901();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_1:
				setSP_1((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_2:
				setSP_2((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_3:
				setSP_3((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_4:
				setSP_4((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_5:
				setSP_5((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_6:
				setSP_6((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_7:
				setSP_7((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_8:
				setSP_8((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_9:
				setSP_9((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_100:
				setSP_100((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_101:
				setSP_101((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_200:
				setSP_200((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_201:
				setSP_201((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_300:
				setSP_300((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_301:
				setSP_301((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_400:
				setSP_400((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_401:
				setSP_401((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_500:
				setSP_500((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_501:
				setSP_501((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_600:
				setSP_600((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_601:
				setSP_601((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_700:
				setSP_700((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_701:
				setSP_701((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_800:
				setSP_800((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_801:
				setSP_801((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_900:
				setSP_900((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_901:
				setSP_901((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_1:
				setSP_1(SP_1_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_2:
				setSP_2(SP_2_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_3:
				setSP_3(SP_3_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_4:
				setSP_4(SP_4_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_5:
				setSP_5(SP_5_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_6:
				setSP_6(SP_6_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_7:
				setSP_7(SP_7_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_8:
				setSP_8(SP_8_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_9:
				setSP_9(SP_9_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_100:
				setSP_100(SP_100_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_101:
				setSP_101(SP_101_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_200:
				setSP_200(SP_200_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_201:
				setSP_201(SP_201_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_300:
				setSP_300(SP_300_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_301:
				setSP_301(SP_301_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_400:
				setSP_400(SP_400_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_401:
				setSP_401(SP_401_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_500:
				setSP_500(SP_500_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_501:
				setSP_501(SP_501_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_600:
				setSP_600(SP_600_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_601:
				setSP_601(SP_601_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_700:
				setSP_700(SP_700_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_701:
				setSP_701(SP_701_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_800:
				setSP_800(SP_800_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_801:
				setSP_801(SP_801_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_900:
				setSP_900(SP_900_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_901:
				setSP_901(SP_901_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_1:
				return SP_1_EDEFAULT == null ? sP_1 != null : !SP_1_EDEFAULT.equals(sP_1);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_2:
				return SP_2_EDEFAULT == null ? sP_2 != null : !SP_2_EDEFAULT.equals(sP_2);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_3:
				return SP_3_EDEFAULT == null ? sP_3 != null : !SP_3_EDEFAULT.equals(sP_3);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_4:
				return SP_4_EDEFAULT == null ? sP_4 != null : !SP_4_EDEFAULT.equals(sP_4);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_5:
				return SP_5_EDEFAULT == null ? sP_5 != null : !SP_5_EDEFAULT.equals(sP_5);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_6:
				return SP_6_EDEFAULT == null ? sP_6 != null : !SP_6_EDEFAULT.equals(sP_6);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_7:
				return SP_7_EDEFAULT == null ? sP_7 != null : !SP_7_EDEFAULT.equals(sP_7);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_8:
				return SP_8_EDEFAULT == null ? sP_8 != null : !SP_8_EDEFAULT.equals(sP_8);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_9:
				return SP_9_EDEFAULT == null ? sP_9 != null : !SP_9_EDEFAULT.equals(sP_9);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_100:
				return SP_100_EDEFAULT == null ? sP_100 != null : !SP_100_EDEFAULT.equals(sP_100);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_101:
				return SP_101_EDEFAULT == null ? sP_101 != null : !SP_101_EDEFAULT.equals(sP_101);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_200:
				return SP_200_EDEFAULT == null ? sP_200 != null : !SP_200_EDEFAULT.equals(sP_200);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_201:
				return SP_201_EDEFAULT == null ? sP_201 != null : !SP_201_EDEFAULT.equals(sP_201);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_300:
				return SP_300_EDEFAULT == null ? sP_300 != null : !SP_300_EDEFAULT.equals(sP_300);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_301:
				return SP_301_EDEFAULT == null ? sP_301 != null : !SP_301_EDEFAULT.equals(sP_301);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_400:
				return SP_400_EDEFAULT == null ? sP_400 != null : !SP_400_EDEFAULT.equals(sP_400);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_401:
				return SP_401_EDEFAULT == null ? sP_401 != null : !SP_401_EDEFAULT.equals(sP_401);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_500:
				return SP_500_EDEFAULT == null ? sP_500 != null : !SP_500_EDEFAULT.equals(sP_500);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_501:
				return SP_501_EDEFAULT == null ? sP_501 != null : !SP_501_EDEFAULT.equals(sP_501);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_600:
				return SP_600_EDEFAULT == null ? sP_600 != null : !SP_600_EDEFAULT.equals(sP_600);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_601:
				return SP_601_EDEFAULT == null ? sP_601 != null : !SP_601_EDEFAULT.equals(sP_601);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_700:
				return SP_700_EDEFAULT == null ? sP_700 != null : !SP_700_EDEFAULT.equals(sP_700);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_701:
				return SP_701_EDEFAULT == null ? sP_701 != null : !SP_701_EDEFAULT.equals(sP_701);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_800:
				return SP_800_EDEFAULT == null ? sP_800 != null : !SP_800_EDEFAULT.equals(sP_800);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_801:
				return SP_801_EDEFAULT == null ? sP_801 != null : !SP_801_EDEFAULT.equals(sP_801);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_900:
				return SP_900_EDEFAULT == null ? sP_900 != null : !SP_900_EDEFAULT.equals(sP_900);
			case Common_ConfigurationPackage.HYADES_SERVICE_PACK_ENUMERATION__SP_901:
				return SP_901_EDEFAULT == null ? sP_901 != null : !SP_901_EDEFAULT.equals(sP_901);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (SP_1: ");
		result.append(sP_1);
		result.append(", SP_2: ");
		result.append(sP_2);
		result.append(", SP_3: ");
		result.append(sP_3);
		result.append(", SP_4: ");
		result.append(sP_4);
		result.append(", SP_5: ");
		result.append(sP_5);
		result.append(", SP_6: ");
		result.append(sP_6);
		result.append(", SP_7: ");
		result.append(sP_7);
		result.append(", SP_8: ");
		result.append(sP_8);
		result.append(", SP_9: ");
		result.append(sP_9);
		result.append(", SP_100: ");
		result.append(sP_100);
		result.append(", SP_101: ");
		result.append(sP_101);
		result.append(", SP_200: ");
		result.append(sP_200);
		result.append(", SP_201: ");
		result.append(sP_201);
		result.append(", SP_300: ");
		result.append(sP_300);
		result.append(", SP_301: ");
		result.append(sP_301);
		result.append(", SP_400: ");
		result.append(sP_400);
		result.append(", SP_401: ");
		result.append(sP_401);
		result.append(", SP_500: ");
		result.append(sP_500);
		result.append(", SP_501: ");
		result.append(sP_501);
		result.append(", SP_600: ");
		result.append(sP_600);
		result.append(", SP_601: ");
		result.append(sP_601);
		result.append(", SP_700: ");
		result.append(sP_700);
		result.append(", SP_701: ");
		result.append(sP_701);
		result.append(", SP_800: ");
		result.append(sP_800);
		result.append(", SP_801: ");
		result.append(sP_801);
		result.append(", SP_900: ");
		result.append(sP_900);
		result.append(", SP_901: ");
		result.append(sP_901);
		result.append(')');
		return result.toString();
	}

} //HyadesServicePackEnumerationImpl
