/**********************************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IDetails.java,v 1.2 2008-12-08 13:32:07 jkubasta Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.probekit.editor.internal.presentation;
import org.eclipse.swt.widgets.Control;
public interface IDetails {
	public void display(Object object);
	public boolean updateCurrentSelection(Object currentSelection);
	public boolean isDetailsFor(Object object);
	public void setFocusTo();
	
	public Control getFocusTo();
	public void refresh();
	public Control getFocusTo(Object object);
}