/**********************************************************************
 * Copyright (c) 2007, 2010 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ToolsUiPluginResourceBundle.java,v 1.23 2010-05-14 16:44:34 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.tools.ui.internal.resources;

import org.eclipse.osgi.util.NLS;

/**
 * <p>Plug-in level resource bundle.</p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version May 14, 2010
 * @since   March 15, 2007
 */
public final class ToolsUiPluginResourceBundle extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.tools.ui.internal.resources.messages";//$NON-NLS-1$

	private ToolsUiPluginResourceBundle() {
		// Do not instantiate
	}

	public static String WIZ_NEW_JUNIT_TST_CASE_PG_TTL;
	public static String WIZ_NEW_JUNIT_TST_CASE_PG_ATT_DSC;
	public static String WIZ_NEW_JUNIT_TST_SUITE_PG_TTL;
	public static String WIZ_NEW_JUNIT_TST_SUITE_PG_ATT_DSC;
	public static String SourcePage_behaviorModePrompt;
	public static String SourcePage_modelBehaviorChoice;
	public static String SourcePage_codeBehaviorChoice;
	public static String SourcePage_invalidSuperClassError;
	public static String SourcePage_superClassNotFound;
	public static String SourcePage_not_on_buildpath_title;
	public static String SourcePage_jars_not_on_buildpath_message;
	public static String SourcePage_jar_not_on_buildpath_message;
	public static String SourcePage_libs_not_on_buildpath_message;
	public static String SourcePage_lib_not_on_buildpath_message;
	public static String SourcePage_error_jarNotOnbuildpath;
	public static String SourcePage_error_jarsNotOnbuildpath;
	public static String GENERATING_LABEL;
	public static String JUnitScriptsSelectionPage_prompt;
	public static String JUnitImportWizard_title;
	public static String JUnitWorkspaceContentProvider_SEARCH_TASK;
	public static String EDT_JUNIT_TTL;
	public static String EDT_JUNIT_DSC;
	public static String EDT_JUNIT_TST_METHS;
	public static String EDT_JUNIT_TST_METHS_DSC;
	public static String STR_TBC_CHECK;
	public static String LBL_LOOP;
	public static String LBL_INV;
	public static String W_LOOP;
	public static String W_LWR_INV;
	public static String W_TST_METHS;
	public static String BTN_IS_SYNC;
	public static String LBL_NBR_ITERS;
	public static String DLG_INV_TST_TTL;
	public static String DLG_LOCAL_TESTS_LBL;
	public static String DLG_ALL_TESTS_LBL;
	public static String JAVA_GEN_WTITLE;
	public static String JAVA_GEN_LDESC;
	public static String TITLE_PROJECT_SELECT;
	public static String STR_PROJECT_SELECT;
	public static String STR_WB_PROJECT;
	public static String STR_WB_SRC_FOLDER;
	public static String STR_WB_SOURCE_BTN;
	public static String _ERROR_WIZ_EMPTY_PROJECT;
	public static String _ERROR_WIZ_EMPTY_FOLDER;
	public static String _ERROR_WIZ_NOT_EXIST_PROJECT;
	public static String _ERROR_INV_FLD_NME;
	public static String STR_WB_BROWSE_BTN;
	public static String STR_WB_SRCFOLD;
	public static String STR_WB_PACK;
	public static String STR_WB_CLASS;
	public static String STR_WB_SRCFOLD_BTN;
	public static String STR_WB_PACK_BTN;
	public static String TITLE_PACK_SELECT;
	public static String TITLE_SRC_SELECT;
	public static String STR_PACK_SELECT;
	public static String STR_SRC_SELECT;
	public static String NO_SRC;
	public static String CODE_UPDATE;
	public static String CODE_UPDATE_PREVIEW;
	public static String SRC_TTL;
	public static String NO_JAVA_PRJ;
	public static String ADJ_PG_DSC;
	public static String Q_OVR_FILE;
	public static String CODE_UPDATE_PREVIEW_WIZARD_PAGE_NAME;
	public static String CODE_UPDATE_PREVIEW_WIZARD_PAGE_DESCRIPTION;
	public static String CODE_UPDATE_PREVIEW_GROUP;
	public static String ALWAYS_CODE_UPDATE_PREVIEW_LABEL;
	public static String DESTRUCTIVE_CHANGES_CODE_UPDATE_PREVIEW_LABEL;
	public static String NEVER_CODE_UPDATE_PREVIEW_LABEL;
	public static String PROMPT_CODE_UPDATE_PREVIEW_LABEL;
	public static String HTTP_Version_Label;
	public static String Host_Name_Label;
	public static String Port_Label;
	public static String Abs_Path_Label;
	public static String Headers_Label;
	public static String Think_Time;
	public static String Variance;
	public static String control_default_Values;
	public static String WIZ_TST_HTTP_SUITE_TTL;
	public static String W_OVERVIEW;
	public static String W_REQUESTS;
	public static String EDT_REQUEST_DSC;
	public static String W_HTTP_REQUEST;
	public static String URL_EDT_GENERAL_INFO;
	public static String URL_EDT_GENERAL_DSC;
	public static String RQ_METH_TEXT;
	public static String HOST_TEXT;
	public static String PORT_TEXT;
	public static String ABS_PATH_TEXT;
	public static String BODY_TEXT;
	public static String THINK_TIME;
	public static String THNK_TIME_DEF;
	public static String THNK_TIME_QRY;
	public static String SSL_LABEL;
	public static String WIZ_TST_CASE_TTL;
	public static String NUMBER_OF_USERS;
	public static String RUN_IDESC;
	public static String ENTER_POSITIVE_NUMBER;
	public static String LoadTestUserTab_Users;
	public static String LoadTestUserTab_Title;
	public static String LoadTestUserTab_InvalidUsers;
	public static String UserSection_USERS;
	public static String HttpForm_DEPLOYMENT;
	public static String W_TEST;
	public static String HTTP_TEST_ERROR;
	public static String HTTP_TEST_MISSING_HOST_ERROR;
	public static String HTTP_TEST_INVALID_PATH_ERROR;
	public static String HTTP_TEST_INVALID_RESPONSE_ERROR;
	public static String HTTP_TEST_DIALOG_TITLE;
	public static String HTTP_TEST_ACTION_TEXT;
	public static String HTTP_TEST_ACTION_TOOL_TIP;
	public static String HTTP_TEST_RESULTS_RESPONSE_CODE;
	public static String HTTP_TEST_RESULTS_CONTENT_TYPE;
	public static String HTTP_TEST_RESULTS_CONTENT_LENGTH;
	public static String HTTP_TEST_RESULTS_ELAPSED_TIME;
	public static String HTTP_TEST_RESULTS_PAGE_RESPONSE_TIME;
	public static String HTTP_TEST_RESULTS_DETAILS;
	public static String HTTP_TEST_RESULTS_BODY;
	public static String DEFAULT_TESTCASE_NAME_VALUE;
	public static String RUN_WTITLE;
	
	public static String WIZ_TST_SUITE_GEN_PG_LOC_DSC;
	public static String WIZ_TST_SUITE_GEN_PG_ATT_DSC;
	public static String error_NullTestSuite;
	public static String word_Error;
	
	static {
		NLS.initializeMessages(BUNDLE_NAME, ToolsUiPluginResourceBundle.class);
	}
}