/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JUnitBehaviorSection.java,v 1.5 2005-05-18 08:28:06 jcanches Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.tools.ui.java.internal.junit.editor;

import org.eclipse.hyades.test.tools.ui.common.internal.editor.BehaviorSection;

/**
 * @author marcelop
 * @since 0.3.0
 */
public class JUnitBehaviorSection 
extends BehaviorSection
{

	/**
	 * Constructor for JUnitBehaviorSection
	 * @param editorForm
	 * @param eStructuralFeature
	 * @param addAction
	 */
	public JUnitBehaviorSection(JUnitBehaviorForm behaviorForm)
	{
		super(behaviorForm);
	}

	
	/**
	 * @see org.eclipse.hyades.test.common.internal.editor.TestCasesForm#registerHelp(int, java.lang.Object)
	 */
	protected void registerHelp(int flag, Object object)
	{
		switch(flag)
		{
			case HELP_SECTION_CONTROL:
				break;
				
			case HELP_SECTION_DOWN_ACTION:
				break;
				
			case HELP_SECTION_UP_ACTION:
				break;

			case HELP_SECTION_ADD_LOOP_ACTION:
				break;
				
			case HELP_SECTION_ADD_INV_ACTION:
				break;
		}
	}
}
