 /**********************************************************************
  * Copyright (c) 2005, 2008 IBM Corporation and others.
  * All rights reserved.   This program and the accompanying materials
  * are made available under the terms of the Eclipse Public License v1.0
  * which accompanies this distribution, and is available at
  * http://www.eclipse.org/legal/epl-v10.html
  * $Id: ImportPasswordAuthentication.java,v 1.2 2008-01-24 02:29:14 apnan Exp $
  *
  * Contributors:
  * IBM - Initial API and implementation
  **********************************************************************/

package org.eclipse.tptp.platform.common.ui.internal.util;

import java.net.PasswordAuthentication;

/**
 * 
 * @author apnan
 *
 */

public class ImportPasswordAuthentication{
	
	protected String username = null;
	protected String password = null;
	
	public ImportPasswordAuthentication(){    			
		username = "user";
		password = "password";
	}
	
	public ImportPasswordAuthentication(String user, String passw){    			
		username = user;
		password = passw;
	}
	
	public void setUsername(String newUsername){
		username = newUsername;
	}
	
	public void setPassword(String newPassword){
		password = newPassword;
	}
	
	public PasswordAuthentication getAuthentication(){
		return new PasswordAuthentication(username, password.toCharArray());
	}
}
