/**********************************************************************
 * Copyright (c) 2011 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.tptp.platform.jvmti.client.internal.launcher;

import org.eclipse.hyades.loaders.util.IProfilingAgentCreationListener;
import org.eclipse.hyades.models.hierarchy.TRCAgent;

public class MemStatsAgentCreationListener implements IProfilingAgentCreationListener {

	public MemStatsAgentCreationListener() {
	}
	
	/** Instantiated by the plugin's extension point */
	
	public void profilingAgentCreated(TRCAgent agent) {
		MemoryStatsManager.getInstance().monitorAgent(agent);
	}
	
}