#include "OSA_Atomic.h"

#if defined(_SOLARIS)

extern "C" int _atomicCas( atomicInt_t* val, int oldval, int newval );

int atomicCas( atomicInt_t* val, int oldval, int newval ) {

	return _atomicCas( val, oldval, newval );

}

#elif defined(_SOLARISX86)

extern "C" int _atomicInc( atomicInt_t* val );
extern "C" int _atomicDec( atomicInt_t* val );

int atomicInc( atomicInt_t* val ) {

	return _atomicInc( val );

}

int atomicDec( atomicInt_t* val ) {

	return _atomicDec( val );

}

#endif
