/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IFileLocation.java,v 1.1 2005-09-29 21:34:38 gnagarajan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.tptp.platform.execution.client.core;

import java.net.InetAddress;

/**
 * @author rduggan
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public interface IFileLocation {

	/**
	 * Get the File Server Host Name
	 */
	public InetAddress getInetAddress();

	/**
	 * Get the Port Number
	 */
	public int getPort();

	/**
	 * Get the Job Key
	 */
	public String getJobKey();
}
